<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor" />
    <processor name="BoxFinder" />
    <processor name="LayerClusterProcessor"/>
    <!--<processor name="WireChamberCalibrationProcessor"/>-->
    <!--<processor name="WireChamberTracker"/>-->
    <processor name="MuonEventFinder" />
    <processor name="ParticleEventComparator"/>
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660507.slcio</parameter>
    <!--<parameter name="LCIOInputFiles"> mu180_DEFAULT_100000evts.slcio </parameter>-->
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="100000000" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="1000" />
</processor>

<processor name="BoxFinder" type="BoxEventFinder">
    <parameter name="CaloHitCollections"> DhcMainStackHits </parameter>
    <parameter name="SkipBoxEvents" value="true" />
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="LayerClusterProcessor" type="NNClusteringProcessor">
    <!--<parameter name="InputCollections"> DigiHits </parameter>-->
    <parameter name="InputCollections"> DhcMainStackHits </parameter>
    <parameter name="OutputCollection"> LayerClusters </parameter>
    <parameter name="MaxDistanceUV" value="3" />
    <parameter name="MaxDistanceLayer" value="0" />
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="WireChamberCalibrationProcessor" type="WireChamberCalibrationProcessor">
    <parameter name="InputCollection"> WireChamberRawHits </parameter>
    <parameter name="OutputCollection"> CalibratedWireChamberHits </parameter>
    <parameter name="HorizontalSlopes"> -0.175409596771 -0.174984287744 -0.178103142033 </parameter>
    <parameter name="VerticalSlopes"> 0.177104401967 0.175526548895 0.176354302908 </parameter>
    <parameter name="HorizontalResolutions"> 0.60 0.60 0.60 </parameter>
    <parameter name="VerticalResolutions"> 0.52 0.52 0.52 </parameter>
    <parameter name="XPositions"> -3.392294 -3.956241135 -0.3192137345 </parameter>
    <parameter name="YPositions"> -2.2348427 -1.8958927 -0.8168027 </parameter>
    <parameter name="ZPositions"> -374.5 -807.4 -1244.2 </parameter>
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="WireChamberTracker" type="WireChamberTracker">
	<parameter name="ChiLimit"> 5 </parameter>
	<parameter name="Verbosity" > SILENT </parameter>
</processor>

<processor name="MuonEventFinder" type="MuonFinder">
    <parameter name="InputClusterCollection"> LayerClusters </parameter>
    <parameter name="MuonCollection"> Muons </parameter>
    <parameter name="LayersConsidered"> 20 </parameter>
    <parameter name="ChiLimit"> 5.0 </parameter>
    <parameter name="ClusterSize"> 4 </parameter>
    <parameter name="ConseutiveSkipLimit"> 3 </parameter>
    <parameter name="SkipLimit"> 8 </parameter>
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="ParticleEventComparator" type="ParticleEventComparator">
	<parameter name="CalorimeterHitCollections"> DhcMainStackHits </parameter>
    <parameter name="ParticleName"> Muons </parameter>
    <parameter name="RootFileName"> ../../../public/CalibratedTestBeam300GeV.root </parameter>
    <parameter name="RootTreeName"> DhcEventVariables </parameter>
    <parameter name="CalibrationFile"> /afs/cern.ch/work/c/cgrefe/public/DHCAL/calibration/660507.txt </parameter>
    <parameter name="BadLayers"> 18 31 0 38</parameter>
    <parameter name="MinimumEfficiency"> 0.2 </parameter>
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

</marlin>
